#!/bin/bash
set -eo pipefail

apt-get update
apt-get install -y --allow-unauthenticated python-lucene newslash-core newslash-utils newslash-sradjp-assets newslash-sradjp newslash-prometheus-exporter newslash-searchd

systemctl start newslash
systemctl start newslash-eventd
systemctl start newslash-prometheus-exporter

#systemctl start newslash-searchd
cd /usr/share/newslash-searchd/modules; /usr/bin/gunicorn -D -b localhost:6000 searchd:Searchd


exec /bin/bash

if [ "$1" == "" ]; then
	exec "$@"
else
	exec /bin/bash
fi

