package Newslash::Model::Users::ACL;
use Newslash::Model::Base -base;

sub key_definition {
    return {
            table => "users_acl",
            other => [qw(id uid acl)],
            aliases => { user_id => "uid",
                       }
           };
}

sub select {
    my $self = shift;
    my $params = {@_};
    return $self->generic_select(params => $params);
}

sub update {
    my $self = shift;
    my $params = {@_};
    return $self->generic_update(params => $params);
}

1;
