package Newslash::Model::Users::Index;
use Newslash::Model::Base -base;

sub key_definition {
    return {
            table => "users_index",
            primary => "uid",
            other => [qw(story_never_topic story_never_author story_never_nexus
                         slashboxes maxstories noboxes story_always_topic
                         story_always_author story_always_nexus story_brief_best_nexus
                         story_full_brief_nexus story_brief_always_nexus story_full_best_nexus)],
            aliases => { user_id => "uid",
                       }
           };
}


sub select {
    my $self = shift;
    my $params = {@_};
    return $self->generic_select(params => $params);
}

sub update {
    my $self = shift;
    my $params = {@_};
    return $self->generic_update(params => $params);
}

1;
