package Newslash::Web::Controller::API::SidebarItem;
use Mojo::Base 'Newslash::Web::Controller';

sub get {
    my $c = shift;
    my $boxes = $c->app->model('boxes');
    my $items = $boxes->select;

    if (!defined $items) {
        $c->rendered(500);
        $c->render(json => {error => 1, message => $boxes->last_error});
        return;
    }

    $c->render(json => {items => $items});
    return;
}


1;
