CREATE TABLE IF NOT EXISTS `tags` (
  `tagid`       int(10) unsigned      NOT NULL AUTO_INCREMENT,
  `tagnameid`   int(10) unsigned      NOT NULL,
  `globjid`     int(10) unsigned      NOT NULL,
  `uid`         mediumint(8) unsigned NOT NULL,
  `created_at`  datetime              NOT NULL,
  `inactivated` datetime              DEFAULT NULL,
  `private`     enum('yes','no')      NOT NULL DEFAULT 'no',
  `is_active`   tinyint(3) unsigned   DEFAULT '1',
  PRIMARY KEY                           (`tagid`),
  UNIQUE KEY                            `idx_omgnodupeslolol` (`uid`,`globjid`,`tagnameid`,`is_active`),
  KEY `tagnameid`                       (`tagnameid`),
  KEY `globjid_tagnameid`               (`globjid`,`tagnameid`),
  KEY `created_at`                      (`created_at`),
  KEY `uid_tagnameid_globjid_is_active` (`uid`,`tagnameid`,`globjid`,`is_active`),
  KEY `tags_uid_inactivated`            (`uid`,`inactivated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
