CREATE TABLE IF NOT EXISTS `users` (
  `uid`                     mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `nickname`                varchar(20)           NOT NULL DEFAULT '',
  `realemail`               varchar(50)           NOT NULL DEFAULT '',
  `fakeemail`               varchar(75)           DEFAULT NULL,
  `homepage`                varchar(100)          DEFAULT NULL,
  `passwd`                  varchar(60)           NOT NULL DEFAULT '',
  `sig`                     varchar(200)          DEFAULT NULL,
  `seclev`                  mediumint(8) unsigned NOT NULL DEFAULT '0',
  `matchname`               varchar(20)           DEFAULT NULL,
  `newpasswd`               varchar(60)           DEFAULT '',
  `newpasswd_ts`            datetime              DEFAULT NULL,
  `journal_last_entry_date` datetime              DEFAULT NULL,
  `author`                  tinyint(4)            NOT NULL DEFAULT '0',
  `shill_id`                tinyint(3) unsigned   NOT NULL DEFAULT '0',
  PRIMARY KEY           (`uid`),
  KEY `login`           (`uid`,`passwd`,`nickname`),
  KEY `chk4user`        (`nickname`,`realemail`),
  KEY `nickname_lookup` (`nickname`),
  KEY `chk4email`       (`realemail`),
  KEY `chk4matchname`   (`matchname`),
  KEY `author_lookup`   (`author`),
  KEY `nickname_uid`    (`nickname`,`uid`),
  KEY `seclev`          (`seclev`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
