/* index.js */
var index = {};

index.run = function run (params) {
  var vm;

  const userConfig = params.userConfig || {};
  const user = params.user || {};
  const siteInfo = params.siteInfo || {};
  const type = params.type;
  const data = {
    userConfig: userConfig,
    user: user,
    journal_author: params.journal_author,
    siteInfo: siteInfo,
    message: "",
    urls: {
      journals: "/api/v1/journal?nickname=" + params.journal_author,
    },
    items: [],
    showReadMore: 1,
  };

  const computed = {};
  const methods = {
    readMore: function () {
      const url = this.urls.journals + "&offset=" + this.items.length;
      this.$http.get(url).then(
        (resp) => { // success
          if (resp.body.journals.length == 0) {
            this.showReadmore = 0;
            return;
          }
          const lastItem = this.items[this.items.length - 1];
          resp.body.journals.forEach(i => {
            if (lastItem.id != i.id) {
              this.items.push(i);
            }
          });
          this.message = "foo";
        },
        (resp) => { // fail
        }
      );
    },
  };
  vm = new Vue({el: params.el,
                data: data,
                computed: computed,
                methods: methods,
                created: function () {
                  this.$http.get(this.urls.journals).then(
                    (resp) => { // success
                      resp.body.journals.forEach(i => {
                        vm.items.push(i);
                      });
                      this.message = "foo";
                    },
                    (resp) => { // fail
                    }
                  );
                },
               });
};
