# -*-Perl-*-
# destructive database-related  tests
use Mojo::Base -strict;
use Mojo::Date;

use Test::More;
use Test::Mojo;
use Mojo::Util qw(dumper);

use POSIX qw(strftime);

my $t = Test::Mojo->new('Newslash::Web');
my $users = $t->app->model('users');
ok($users, "get Users instance");

SKIP: {
    skip "mode is not 'test'", 0 if ($t->app->mode ne 'test');
};

done_testing();
